Skip to main content
GET
/
digitalbanking
/
ux-users
/
v1
/
customers
/
{customerId}
/
contact-methods
Get Member Profile
curl --request GET \
  --url https://api.candescent.com/digitalbanking/ux-users/v1/customers/{customerId}/contact-methods \
  --header 'Authorization: Bearer <token>'
{
  "userId": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "emailAddress": "jsmith@example.com",
  "userRole": "<string>",
  "userType": "<string>",
  "userStatus": {
    "active": true,
    "locked": true
  },
  "customers": [
    {
      "customerId": "<string>",
      "memberNumber": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerId
string
required

Customer ID from the JWT claim or SAML nameID

Query Parameters

userIdType
string

Type of the user ID (e.g. MEMBER_NUMBER, EMAIL)

Response

Member profile

userId
string

Unique identifier of the user

firstName
string
lastName
string
emailAddress
string<email>
userRole
string

Member role (PRIMARY, JOINT, etc.)

userType
string

Member type (RETAIL, BUSINESS, etc.)

userStatus
object
customers
object[]